﻿using System;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            // Open the workbook using the current culture (don't want any defaults)
            string baseDir = System.AppDomain.CurrentDomain.BaseDirectory;
            string filePath = baseDir + "App_Data\\BudgetPlanner.xlsx";
            SpreadsheetGear.IWorkbook WorkbookInterface = SpreadsheetGear.Factory.GetWorkbook(filePath, System.Globalization.CultureInfo.CurrentCulture);

            // Reference the Inputs and Outputs worksheets
            SpreadsheetGear.IWorksheet InputWorksheet = WorkbookInterface.Worksheets["Inputs"];
            SpreadsheetGear.IWorksheet OutputWorksheet = WorkbookInterface.Worksheets["Outputs"];

            // Add default values to text boxes on the web page
            projectedIncome.Text = InputWorksheet.Cells["B2"].Range.Text;
            projectedMortgage.Text = InputWorksheet.Cells["B3"].Range.Text;
            projectedPhone.Text = InputWorksheet.Cells["B4"].Range.Text;
            projectedElectricity.Text = InputWorksheet.Cells["B5"].Range.Text;
            projectedGas.Text = InputWorksheet.Cells["B6"].Range.Text;
            projectedWater.Text = InputWorksheet.Cells["B7"].Range.Text;
            projectedTV.Text = InputWorksheet.Cells["B8"].Range.Text;
            projectedCar.Text = InputWorksheet.Cells["B9"].Range.Text;
            projectedMaintenance.Text = InputWorksheet.Cells["B10"].Range.Text;
            projectedFood.Text = InputWorksheet.Cells["B11"].Range.Text;
            projectedOther.Text = InputWorksheet.Cells["B12"].Range.Text;
            projectedExpenses.Text = InputWorksheet.Cells["B13"].Range.Text;
            actualIncome.Text = InputWorksheet.Cells["C2"].Range.Text;
            actualMortgage.Text = InputWorksheet.Cells["C3"].Range.Text;
            actualPhone.Text = InputWorksheet.Cells["C4"].Range.Text;
            actualElectricity.Text = InputWorksheet.Cells["C5"].Range.Text;
            actualGas.Text = InputWorksheet.Cells["C6"].Range.Text;
            actualWater.Text = InputWorksheet.Cells["C7"].Range.Text;
            actualTV.Text = InputWorksheet.Cells["C8"].Range.Text;
            actualCar.Text = InputWorksheet.Cells["C9"].Range.Text;
            actualMaintenance.Text = InputWorksheet.Cells["C10"].Range.Text;
            actualFood.Text = InputWorksheet.Cells["C11"].Range.Text;
            actualOther.Text = InputWorksheet.Cells["C12"].Range.Text;
            actualExpenses.Text = InputWorksheet.Cells["C13"].Range.Text;

            // Display the graph
            Session["workbook"] = WorkbookInterface;
            Graph_Image.ImageUrl = "GetImage.aspx?ts=" + Guid.NewGuid().ToString("N");
            Graph_Image.Visible = true;
        }
    }

    protected void refreshButton_Click(object sender, EventArgs e)
    {
        // Open the workbook using the current culture (don't want any defaults)
        string baseDir = System.AppDomain.CurrentDomain.BaseDirectory;
        string filePath = baseDir + "App_Data\\BudgetPlanner.xlsx";
        SpreadsheetGear.IWorkbook WorkbookInterface = SpreadsheetGear.Factory.GetWorkbook(filePath, System.Globalization.CultureInfo.CurrentCulture);

        // Reference the Inputs and Outputs worksheets
        SpreadsheetGear.IWorksheet InputWorksheet = WorkbookInterface.Worksheets["Inputs"];
        SpreadsheetGear.IWorksheet OutputWorksheet = WorkbookInterface.Worksheets["Outputs"];

        // Post text box values to the workbook
        InputWorksheet.Cells["B2"].Range.Value = projectedIncome.Text;
        InputWorksheet.Cells["B3"].Range.Value = projectedMortgage.Text;
        InputWorksheet.Cells["B4"].Range.Value = projectedPhone.Text;
        InputWorksheet.Cells["B5"].Range.Value = projectedElectricity.Text;
        InputWorksheet.Cells["B6"].Range.Value = projectedGas.Text;
        InputWorksheet.Cells["B7"].Range.Value = projectedWater.Text;
        InputWorksheet.Cells["B8"].Range.Value = projectedTV.Text;
        InputWorksheet.Cells["B9"].Range.Value = projectedCar.Text;
        InputWorksheet.Cells["B10"].Range.Value = projectedMaintenance.Text;
        InputWorksheet.Cells["B11"].Range.Value = projectedFood.Text;
        InputWorksheet.Cells["B12"].Range.Value = projectedOther.Text;
        InputWorksheet.Cells["C2"].Range.Value = actualIncome.Text;
        InputWorksheet.Cells["C3"].Range.Value = actualMortgage.Text;
        InputWorksheet.Cells["C4"].Range.Value = actualPhone.Text;
        InputWorksheet.Cells["C5"].Range.Value = actualElectricity.Text;
        InputWorksheet.Cells["C6"].Range.Value = actualGas.Text;
        InputWorksheet.Cells["C7"].Range.Value = actualWater.Text;
        InputWorksheet.Cells["C8"].Range.Value = actualTV.Text;
        InputWorksheet.Cells["C9"].Range.Value = actualCar.Text;
        InputWorksheet.Cells["C10"].Range.Value = actualMaintenance.Text;
        InputWorksheet.Cells["C11"].Range.Value = actualFood.Text;
        InputWorksheet.Cells["C12"].Range.Value = actualOther.Text;

        // Get expense values
        projectedExpenses.Text = InputWorksheet.Cells["B13"].Range.Text;
        actualExpenses.Text = InputWorksheet.Cells["C13"].Range.Text;

        // Display the graph
        Session["workbook"] = WorkbookInterface;
        Graph_Image.ImageUrl = "GetImage.aspx?ts=" + Guid.NewGuid().ToString("N");
        Graph_Image.Visible = true;
    }
}
