﻿<%@ Page Language="C#" EnableViewState="false" %>
<%@OutputCache Duration="86400" VaryByParam="*" %>
<!DOCTYPE html>
<script language="C#" runat="server">
    void Page_Load(Object sender, EventArgs e)
    {
        // Open the workbook in the current session
        SpreadsheetGear.IWorkbook workbook = (SpreadsheetGear.IWorkbook)Session["workbook"];
        // Reference the Outputs worksheet
        SpreadsheetGear.IWorksheet worksheet = workbook.Worksheets["Outputs"];
        // Create the Image renderer for the requested range or shape.
        SpreadsheetGear.Drawing.Image image = null;
        SpreadsheetGear.Shapes.IShape shape = worksheet.Shapes["Chart 1"];
        image = new SpreadsheetGear.Drawing.Image(shape);
        // Check whether we have something valid to render...
        if (image == null)
            throw new InvalidOperationException("Missing shape or range parameter.");
        // Get the size of the image to be generated.
        System.Drawing.Size size = image.GetSize();
        // Check the size of the image to see if it is reasonable.
        if (size.Width <= 0 || size.Width > 2048 || size.Height <= 0 || size.Height > 2048)
            throw new InvalidOperationException("Invalid Image Size (probably specified too large of a range.");
        // Get a new bitmap image of the represented range or shape.
        using (System.Drawing.Bitmap bitmap = image.GetBitmap())
        {
            // Stream the image to the client in PNG or GIF format.
            Response.Clear();
            // Save to a memory stream and write that to the response output stream.
            Response.ContentType = "image/png";
            System.IO.MemoryStream memoryStream = new System.IO.MemoryStream();
            bitmap.Save(memoryStream, System.Drawing.Imaging.ImageFormat.Png);
            memoryStream.WriteTo(Response.OutputStream);
        }
    }
</script>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>SpreadsheetGear Excel Chart Image</title>
</head>
<body>
</body>
</html>